Read an import result and its recent outcome history
GET
/shops/{id}/order-sync/log/{entryId}
const url = 'https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/order-sync/log/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/shops/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/order-sync/log/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
entryId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”Result and up to 50 recent outcomes for this order
Media typeapplication/json
object
item
required
object
id
required
UUID v7
string format: uuid
externalOrderId
required
string
externalRef
required
string | null
orderId
required
UUID v7
string | null format: uuid
severity
required
string
status
required
string
reason
required
string | null
financialStatus
required
string | null
createdAt
required
string format: date-time
history
required
Array<object>
object
id
required
UUID v7
string format: uuid
externalOrderId
required
string
externalRef
required
string | null
orderId
required
UUID v7
string | null format: uuid
severity
required
string
status
required
string
reason
required
string | null
financialStatus
required
string | null
createdAt
required
string format: date-time
Example
{ "item": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "history": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Sign in required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not permitted
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Shop or log entry not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}